function [W11] = build_witnesses(adj, n1, hops)
if hops <= 1
    W11 = sparse(adj);
    % D = diag(sum(W11).^-0.5);
    % W11 = D*W11*D;
else
    W1 = adj;
    for i=1:hops
        W11 = W1;
        W1 = W1*adj;
    end
    W11 = sparse((double(W1>0) - double(W11>0))>0); % + adj;
end
